// Module    : $RCSfile: DummyGUIElement.java,v $
// Version   : $Revision: 0.0 $  $Author: patrick $  $Date: 02.04.2012 $
// Project   : TaskTreeTestUtils
// Creation  : 2012 by patrick
// Copyright : Patrick Harms, 2012

package de.ugoe.cs.quest.tasktrees.testutils;

import de.ugoe.cs.quest.eventcore.guimodel.AbstractDefaultGUIElement;
import de.ugoe.cs.quest.eventcore.guimodel.IGUIElement;
import de.ugoe.cs.quest.eventcore.guimodel.IGUIElementSpec;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 02.04.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class DummyGUIElement extends AbstractDefaultGUIElement implements IGUIElement {
    
    /**  */
    private static final long serialVersionUID = 1L;

    /** */
    private String name;

    /**
     *
     */
    public DummyGUIElement(String name) {
        super(null, null);
        this.name = name;
    }

    /* (non-Javadoc)
     * @see de.ugoe.cs.quest.eventcore.IEventTarget#getPlatform()
     */
    @Override
    public String getPlatform() {
        return "Dummy";
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return name;
    }

    /*
     * (non-Javadoc)
     * 
     * @see de.harms.attef.userinteraction.GUIElement#equals(GUIElement)
     */
    public boolean equals(IGUIElement other) {
        return this == other;
    }

    @Override
    public void updateSpecification(IGUIElementSpec specToIntegrateElementFor) {
        // dummy
    }

}
